function sxi_high_cadence, time0, time1, $
      high_wave=high_wave, l1q=l1q, return_files=return_files, $
      lz_genxcat=lz_genxcat, lz_cat=lz_cat, $
      goesn=goesn, $
      wavelnth=wavelnth, img_code=img_code , debug=debug, $
      maxframes=maxframes

debug=keyword_set(debug)


l1q=keyword_set(l1q)
lz_genxcat=keyword_set(lz_genxcat)
retval=-1
return_files=keyword_set(return_files)
if return_files then retval=''
count=0
if n_elements(goesn) eq 0 then goesn=12
sgoesn=strtrim(goesn,2)

sxientfail='12-nov-2003'    ; entrance filter failure
;                           ; (change default filter from OPEN -> P_THN_B
;                           ; (default img_code from CS -> AR )

postfail=ssw_deltat(time0,ref=sxientfail) gt 0
if n_elements(img_code) eq 0 then $
   img_code=(['CS','AR'])(postfail)  ; default=Coronal Struct / Active Reg
if n_elements(wavelnth) eq 0 $
   then wavelnth=(['OPEN','P_THN_B'])(postfail) ; defautl OPEN / P_THN_B

case 1 of 
   l1q: begin
;     files under $SSWDB/goes/sxigNN/...
      parent=$
       concat_dir(concat_dir(concat_dir('$SSWDB','goes'),'sxig'+sgoesn),'l1q')
      dategrid=anytim(timegrid(time0,time1,/day,/quiet),out='ecs',/date_only)
      ;allsxi=loc_file('*.FTS',/all, path=concat_dir(parent,dategrid),count=count)
      allsxi=file_list(concat_dir(parent,dategrid),'*FTS')
      count=n_elements(allsxi) * (allsxi(0) ne '')
      if count gt 0 then begin
         allsxi=sel_filetimes(time0,time1,allsxi)
         count=n_elements(allsxi) * (allsxi(0) ne '')
         if count gt 0 then begin 
            valid=lonarr(count)
            for i=0,count-1 do valid(i)=valid_fits(allsxi(i))
            tvalid=total(valid)
            case 1 of
               tvalid eq count:                 ; all ok  
               tvalid eq 0: box_message,'All files in range are Bad   ; all bad
               else: begin 
                 allsxi=allsxi(where(valid))    ; good subset
                 box_message, $
                    'Rejecting '+strtrim(long(count-tvalid),2) +' bad FITS
               endcase
            endcase
         endif
      endif
      if count eq 0 or allsxi(0) eq '' then $ 
            box_message,'No SXIG'+sgoesn+ ' L1Q files in timerange' else begin 
            mreadfits,allsxi,index
            ss=where(gt_tagval(index,/img_code) eq img_code $
                 and gt_tagval(index,/wavelnth) eq wavelnth, count)
            if count gt 0 then begin 
               rexptime=round(gt_tagval(index(ss),/exptime))
               sss=where(rexptime eq max(rexptime),count)
               retval=allsxi(ss(sss))
            endif else retval=''
if debug then stop,'count
      endelse
   endcase
   lz_genxcat: begin 
     read_genxcat, time0, time1, topdir='$SSWDB/soho/eit/lz_genxcat',lz_cat 
      if data_chk(lz_cat,/struct) then begin 
         ssok=where(strlowcase(lz_cat.object) eq 'full fov',okcnt) 
         if okcnt gt 0 then begin 
            lz_cat=lz_cat(ssok)
            if keyword_set(wavelnth) then hwl=fix(wavelnth) else begin 
               hwave=histogram([lz_cat.wavelnth],min=0)
               hwl=(where(hwave eq max(hwave)))(0)
            endelse
            high_wave=hwl
            lz_cat=lz_cat(where(lz_cat.wavelnth eq hwl))
            if keyword_set(naxis1) then naxis=fix(naxis1) else begin 
               hnaxis=histogram([lz_cat.naxis1],min=0)
               naxis=(where(hnaxis eq max(hnaxis)))(0)
            endelse
            ssbest=where(lz_cat.naxis1 eq naxis)
            lz_cat=lz_cat(ssbest)
            retval=(lz_cat.wavelnth)(0)
            if return_files then retval=lz_cat.filename
         endif else box_message,'No full disk images in time range'
      endif else begin
         box_message,'No LZ-GENX catalog for you time range'
      endelse
   endcase 
   else: box_message,'Only /L1Q supported for now
endcase

if keyword_set(maxframes) then begin 
   if n_elements(retval) gt maxframes then begin 
      box_message,['Number of frames: ' + strtrim(n_elements(retval),2), $
                   'Gridding to limit of ' + strtrim(maxframes,2)]
      ss=grid_data(file2time(retval,out='utc_int'),nsamp=maxframes)
      retval=retval(ss)
   endif
endif

return,retval
end
