pro trace_special_movies_online, time0, time1, ecount=ecount, $
   pt00=pt0, pt1=pt1, $
   peak=peak, urls=urls, paths=paths, debug=debug, test=test
;
;+
;   Name: trace_special_movies_online
;
;   Puropse: return info/url for trace special movies within input timerange
;
;   Input Parameters:
;      time0, time1 - desired time range to search (def=mission)
;
;   Output Parameters:
;
;   Keyword Parameters:
;      ecount (output) - number of trace sequences online within timerange
;      pt0,pt1 (output) start/stop time(s) of timranges covered by each event
;      urls (output) - url list corresping to top html for each event
;
;-

temp_tophttp=get_logenv('top_http') 
temp_pathhttp=get_logenv('path_http')

debug=keyword_set(debug)
urls=''
paths=''
ecount=0                                       ; assume nothing

topdir='/net/vestige/Volumes/disk1/ops/DataCenter/www/htdocs/TRACE'
tophttp='http://vestige.lmsal.com/TRACE/'

phttp=get_logenv('path_http')
thttp=get_logenv('top_http')

pdir=concat_dir(topdir,'special_movies4')
edir=concat_dir(topdir,'latest_events') + (['','_test'])(keyword_set(test)) 
edirs=findfile(edir)

edirsx=concat_dir(edir,edirs)

pgen=file_list([pdir,edirsx],'*geny')
phtml=str_replace(pgen,'genx.geny','html')

if n_params() lt 2 then begin 
   time0=anytim('1-jan-1995',/vms)
   time1=reltime(/now,out='vms')
endif

valid_files=sel_filetimes(time0,time1,phtml)    ; files within timerange

nvalid=n_elements(valid_files)
if valid_files(0) ne '' then begin
   paths=ssw_strsplit(valid_files,'.',/last,/head)
   ecount=nvalid                                ; update output 
   pt0=strarr(nvalid)
   pt1=strarr(nvalid)
   peak=strarr(nvalid)
   for i=0,nvalid-1 do begin 
      restgenx,file=str_replace(valid_files(i),'html','genx.geny'), $
         tmstart, tmstop, tminfo
      pt0(i)=tmstart
      pt1(i)=tmstop
if debug then stop,'tminfo'
   endfor
;  map local top level html files -> URL list
   set_logenv,'path_http',topdir,/quiet
   set_logenv,'top_http',tophttp,/quiet
   urls=http_names(valid_files)
;  restore original environment
   set_logenv,phttp,/quiet
   set_logenv,thttp,/quiet
endif else box_message,'No trace movies in time range
 
if debug then stop,'Before return'

set_logenv,'top_http',temp_tophttp
set_logenv,'path_http',temp_pathhttp

return
end

