pro ssw_index2pfss_multi, index, pindex,pdata, _extra=_extra,$
   start_radius=start_radius, debug=debug
; 
;+
;   Name: ssw_index2pfss_multi
;
;   Purpose: wrapper to run multiple passes of ssw_index2pfss
;
;   Input Parameters:
;      index - ssw "index" record or time
;
;
;   Output Paramters:
;      pindex,pdata - pfss "index,data" 
;
;   Keyword Parameters:
;      start_radius - vector of one or more distances for field line passage'
;                     =1   : photoshere
;                     =2.5 : PFSS source surface
debug=keyword_set(debug)

if n_elements(start_radius) eq 0 then start_radius=1.0 ; def photosphere

ssw_index2pfss, index , pindex, pdata, _extra=_extra, strref=start_radius(0)


for i=1,n_elements(start_radius) -1 do begin 
   ssw_index2pfss, index , pindex, pdx, _extra=_extra, $
     strref=start_radius(i)
   if debug then stop,'pdx,_extra'
   pdata=pdata*(pdx lt 250) + (pdx*(pdx ge 250))
endfor

return
end

