pro ssw_pfss_time2l1q, times, thumbdata, fulldata, $
   r=r,g=g,b=b, $
   full_urls=full_urls, thumb_urls=thumb_urls, ecliptic=ecliptic

if n_elements(times) eq 0 then begin 
   times=timegrid(reltime(days=-5),reltime(/now),hours=6)
endif
ecliptic=keyword_set(ecliptic)
ttop_http=get_logenv('top_http')
tpath_http=get_logenv('path_http')

set_logenv,'path_http','/net/diapason/www1/htdocs/solarsoft'
set_logenv,'top_http','http://www.lmsal.com/solarsoft

pfsspath=concat_dir('$path_http','pfss_l1q_synop')

thumbs=file_list(pfsspath,'*thumb'+(['.*','_eclip.*'])(ecliptic))
fulls=str_replace(thumbs,'thumb','full')
if thumbs(0) eq '' then begin 
   box_message,'No thumbs found...'
   return
endif

thumbtimes=file2time(thumbs,out='int',/parse_time)

ss=tim2dset(thumbtimes,anytim(times,/int),delta=dts)

thumbs=thumbs(ss)
fulls=str_replace(thumbs,'thumb','full')

thumb_urls=http_names(thumbs)
full_urls=http_names(fulls) 

fullread=n_params() ge 3
if n_params() gt 1 then begin 
   ndata=n_elements(thumbs)
   thumb0=read_image(thumbs(0),r,g,b)
   thumbdata=make_array(data_chk(thumb0,/nx),data_chk(thumb0,/ny),$
                        ndata,type=data_chk(thumb0,/type))
   thumbdata(0,0,0)=thumb0
   if fullread then begin 
      full0=read_image(fulls(0))
      fulldata=make_array(data_chk(full0,/nx),data_chk(full0,/ny),$
                        ndata,type=data_chk(full0,/type))
      fulldata(0,0,0)=temporary(full0)

   endif
   for i=1,ndata-1 do begin 
      thumbx=read_image(thumbs(i))
      thumbdata(0,0,i)=temporary(thumbx)
      if fullread then begin
         fullx=read_image(fulls(i))
         fulldata(0,0,i)=temporary(fullx)
      endif
   endfor 
endif


set_logenv,'path_http',tpath_http
set_logenv,'top_http','ttop_http

return
end
